Channel Manager Settings
Retrieve Channel Manager languages
application/jsonExample: application/jsonPossible values: Authentication header
code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"OK
Line items colection
ISO2 language code
frLanguage name
FrenchCreated
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error
GET /rest/6.0/channelmanager/languages HTTP/1.1
Host: api.2checkout.com
Accept: application/json
X-Avangate-Authentication: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
[
{
"Code": "fr",
"Name": "French"
},
{
"Code": "en",
"Name": "English"
},
{
"Code": "de",
"Name": "German"
}
]Retrieve Channel Manager invoice templates
application/jsonExample: application/jsonPossible values: Authentication header
code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"OK
Invoice templates colection
Invoice template id
15Template name
Test ProformaBad Request
GET /rest/6.0/channelmanager/invoice-templates HTTP/1.1
Host: api.2checkout.com
Accept: application/json
X-Avangate-Authentication: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
[
{
"IdInvoiceTemplate": 15,
"TemplateName": "Test Proforma"
}
]Returns an URL with a token to allow authentification from external domains for custom domain vendors
Partner unique id
application/jsonExample: application/jsonPossible values: Authentication header
code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"SSO create request
The partner email address
test_partnerbb@test.comAccess page
http://qat31.aws.avancart.local/cpanelToken Validity Time
90Validation Ip
127.0.0.1OK
requested url with appended token
http://qat31.aws.avancart.local/cpanel/index.php?logintoken=2c05e11f4e76027f9ca34f1f0a093634Expiration time in seconds
90Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error
POST /rest/6.0/channelmanager/partners/{uuid}/sso HTTP/1.1
Host: api.2checkout.com
Accept: application/json
X-Avangate-Authentication: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Content-Type: application/json
Content-Length: 134
{
"Email": "test_partnerbb@test.com",
"AccessPage": "http://qat31.aws.avancart.local/cpanel",
"ValidityTime": 90,
"ValidationIp": "127.0.0.1"
}{
"url": "http://qat31.aws.avancart.local/cpanel/index.php?logintoken=2c05e11f4e76027f9ca34f1f0a093634",
"expiresIn": 90
}Create refund request for a specific proforma number
Partner unique id
application/jsonExample: application/jsonPossible values: Authentication header
code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"Proforma Refund Request
The partner's proforma number
6Request comment
CommentOK
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error
POST /rest/6.0/channelmanager/partners/{uuid}/requestProformaRefund HTTP/1.1
Host: api.2checkout.com
Accept: application/json
X-Avangate-Authentication: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Content-Type: application/json
Content-Length: 40
{
"ProformaNumber": 6,
"Comment": "Comment"
}trueLast updated
Was this helpful?